petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMSetCoarseDM

Set the coarse mesh from which this was obtained by refinement

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMSetCoarseDM(DM dm, DM cdm)

### Input Parameters

| dm | - The DM object
| cdm | - The coarse DM

### See Also

DMGetCoarseDM()

### Level

intermediate

### Location

src/dm/interface/dm.c

### Examples

src/ksp/ksp/examples/tutorials/ex73.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages